com.sun.jna.platform.win32

## Interface WinReg

-     public interface WinReg

  This module contains the function prototypes and constant, type and structure definitions for the Windows 32-Bit Registry API. Ported from WinReg.h Microsoft Windows SDK 6.0A.
  Author:
    dblock[at]dblock.org

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `WinReg.HKEY`
    `static class` | `WinReg.HKEYByReference`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WinReg.HKEY` | `HKEY_CLASSES_ROOT`
    `static WinReg.HKEY` | `HKEY_CURRENT_CONFIG`
    `static WinReg.HKEY` | `HKEY_CURRENT_USER`
    `static WinReg.HKEY` | `HKEY_DYN_DATA`
    `static WinReg.HKEY` | `HKEY_LOCAL_MACHINE`
    `static WinReg.HKEY` | `HKEY_PERFORMANCE_DATA`
    `static WinReg.HKEY` | `HKEY_PERFORMANCE_NLSTEXT`
    `static WinReg.HKEY` | `HKEY_PERFORMANCE_TEXT`
    `static WinReg.HKEY` | `HKEY_USERS`

- - ### Field Detail

    - #### HKEY_CLASSES_ROOT

          static final WinReg.HKEY HKEY_CLASSES_ROOT

    - #### HKEY_CURRENT_USER

          static final WinReg.HKEY HKEY_CURRENT_USER

    - #### HKEY_LOCAL_MACHINE

          static final WinReg.HKEY HKEY_LOCAL_MACHINE

    - #### HKEY_USERS

          static final WinReg.HKEY HKEY_USERS

    - #### HKEY_PERFORMANCE_DATA

          static final WinReg.HKEY HKEY_PERFORMANCE_DATA

    - #### HKEY_PERFORMANCE_TEXT

          static final WinReg.HKEY HKEY_PERFORMANCE_TEXT

    - #### HKEY_PERFORMANCE_NLSTEXT

          static final WinReg.HKEY HKEY_PERFORMANCE_NLSTEXT

    - #### HKEY_CURRENT_CONFIG

          static final WinReg.HKEY HKEY_CURRENT_CONFIG

    - #### HKEY_DYN_DATA

          static final WinReg.HKEY HKEY_DYN_DATA

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.